develooper Front page | perl.perl5.porters | Postings from May 2002

[ANNOUNCE] ExtUtils::MakeMaker 6.01

From:
Michael G Schwern
Date:
May 30, 2002 12:20
Subject:
[ANNOUNCE] ExtUtils::MakeMaker 6.01
Message ID:
20020530191940.GA23567@ool-18b93024.dyn.optonline.net
http://www.pobox.com/~schwern/src/ExtUtils-MakeMaker-6.01.tar.gz

Mostly bleadperl sync ups.  The one big change is WriteMakefile() now has
some rudimentary argument checking to warn about some of the most common
mistakes, like "MAN3PODS => ' '".  Right now it just warns and replaces it
with an empty, but correct, value so it can try to continue rather than
just puking.

  schwern@blackrider:/usr/local/src/CPAN/BerkeleyDB-0.18$ perl Makefile.PL 
  Parsing config.in...
  Looks Good.
  WARNING: MAN3PODS takes a hash reference not a string/number.
           Please inform the author.
  Writing Makefile for BerkeleyDB

It may be better to simply delete the errant attribute rather than putting
an empty value in it's place, dunno.  I don't want to invest too much time
in this.

There's still two serious, open bugs, but I need to get a version out for
Jarkko.  One is a combination of large numbers of .pm files (such as in
bioperl) and Unixen with short maximum shell command lengths (IRIX).  See
RT#667.

The other is the hard-coded list of core perl header files in MM_Unix.
They're set for 5.6/5.8 and this causes problems when building XS with
5.5.3.  This will need to be made into a set of header files for each
version, or perhaps just look in the $(PERL_INC) directory and build it
dynamically.  See RT#693.


6.01 Thu May 30 14:48:57 EDT 2002
    - MacOS Classic fixes from Pudge: recursive make repair,
      post_initialize() now used, DEFINE & INC work with relative paths,
      removed dead hybrid method/function call code.
    * WriteMakefile now a bit more tolerant of wrong arguments, it will
      warn and try to soldier on rather than just vomiting.
    - Netware whitespace nits (bleadperl@16811)
    - Netware Perl version number tag when building dynamic libraries
      needs to match the current perl version instead of being hard coded
      (a mutation of bleadperl@16851)
    - OS/2 bug in TEST_F target found by John Poltorak (bleadperl@16839)
    - README in 6.00 still declared this as alpha.

6.00 Sat May 25 17:14:09 EDT 2002
    - VMS 8-level limit test tweak (bleadperl@16764)
    * Here goes nothing.

-- 
This sig file temporarily out of order.



nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About